Creates a new unavailability
Request Information
URI Parameters :
None.
Body Parameters :
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Request Formats :
application/json, text/json
{
"id": "b8f989f2-752f-4ae3-a812-32d31fe78d61",
"date_start": "2026-11-03T18:07:40.9769817+00:00",
"date_end": "2026-11-03T18:07:40.9769817+00:00",
"modified_dateutc": "2026-11-03T18:07:40.9769817+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "db42626a-b33f-4340-b2b5-e0f77f7bf62b",
"user_code": "sample string 8",
"user": {
"id": "aaac8f3c-6e02-4c20-8032-d8ec12cedc7b",
"db_language_id": "573d304a-c9cb-4d38-8992-f77862addf86",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-03T18:07:40.9769817+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "f740a467-fdae-40ea-9881-e6d3bb26cf41",
"sales_organization": {
"id": "ba04179c-1f80-48f5-b66e-8c8959852704",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "60e8c703-e072-4618-a7de-b698e192f22c",
"db_currency_id": "b9bedae7-6f03-44cf-b758-02ffcb85385d",
"db_language_id": "692416a1-3b59-46ae-9778-f1f2187755d2",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-03T18:07:40.9769817+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "0bacb3f8-4918-4ca5-a517-ac99a469e53d",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "59865fbd-86b7-4624-b8cf-955200a751e8",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-03T18:07:40.9769817+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "19ce9167-705d-48af-9a4c-b901df2dd272"
},
"user_unavailability_type_id": "d290975d-57e1-402f-a218-8492bc385023",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "5b160a60-5f11-4c65-96a4-32404d78b208",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "21f329a1-7060-4eb3-823d-1f3b8719e132",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "ba04179c-1f80-48f5-b66e-8c8959852704",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "60e8c703-e072-4618-a7de-b698e192f22c",
"db_currency_id": "b9bedae7-6f03-44cf-b758-02ffcb85385d",
"db_language_id": "692416a1-3b59-46ae-9778-f1f2187755d2",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-03T18:07:40.9769817+00:00"
},
"modified_dateutc": "2026-11-03T18:07:40.9769817+00:00"
}
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.